Subject: Re: pending mate upgrade patches to 1.26

From: Andreas Enge <[email-masked]>
Date: Mon, 24 Jul 2023 09:54:29 +0200

Hello Andy,

Am Mon, Jun 26, 2023 at 12:09:41PM -0700 schrieb Andy Tai:
> The state of them is that there are two prerequisites that have passed
> Guix QA check:
> https://issues.guix.gnu.org/64001

I had a quick look at this patch, but am a bit confused. If I read it
correctly, it updates tzdata (which causes a lot of rebuilds, and without
updating python-pytz as stipulated by a comment in the code of tzdata),
and then it creates a new variable tzdata-next which looks to be the same.

Would the good approach not be to update tzdata and python-pytz, and to
copy the old version into tzdata-for-tests?

It is quite possible I am misunderstanding something, and in any case I
would like to defer to someone more knowledgeable about the core packages.

Andreas